Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 318667 - net-misc/ofono-0.20 - add USE flags for capng, isimodem, examples and docs
Summary: net-misc/ofono-0.20 - add USE flags for capng, isimodem, examples and docs
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Robert Piasek (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-05 18:42 UTC by Florian Steinel
Modified: 2010-05-20 13:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Steinel 2010-05-05 18:42:54 UTC
--- ofono-0.20.ebuild?rev=1.1   2010-05-05 20:39:37.000000000 +0200
+++ ofono-0.20.ebuild   2010-05-05 20:33:18.000000000 +0200
@@ -11,12 +11,14 @@ SRC_URI="mirror://kernel/linux/network/$
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~arm ~amd64 ~x86"
-IUSE="bluetooth threads +udev"
+IUSE="bluetooth threads +udev isimodem capng examples"
 
 RDEPEND=">=sys-apps/dbus-1.2.24
        bluetooth? ( >=net-wireless/bluez-4.61 )
        >=dev-libs/glib-2.16
-       udev? ( >=sys-fs/udev-143 )"
+       udev? ( >=sys-fs/udev-143 )
+       capng? ( sys-libs/libcap-ng )
+       examples? ( dev-python/dbus-python )"
 
 DEPEND="${RDEPEND}
        dev-util/pkgconfig"
@@ -25,6 +27,7 @@ src_configure() {
        econf \
                $(use_enable threads) \
                $(use_enable udev) \
+               $(use_enable isimodem) \
                --enable-test \
                --localstatedir="${ROOT}"/var
 }
@@ -32,5 +35,10 @@ src_configure() {
 src_install() {
        emake DESTDIR="${D}" install || die "emake install failed"
 
+       if ! use examples ; then
+               rm -rf ${D}/usr/lib64/ofono/test
+       fi
+
        newinitd "${FILESDIR}"/${PN}.initd ${PN} || die
+       dodoc ChangeLog AUTHORS doc/*.txt
 }


Reproducible: Always

Steps to Reproduce:
Comment 1 Florian Steinel 2010-05-05 18:55:10 UTC
This
rm -rf ${D}/usr/lib64/ofono/test
needs to be replaced with
rm -rf ${D}/usr/$(get_libdir)/ofono/test
Comment 2 Robert Piasek (RETIRED) gentoo-dev 2010-05-20 12:52:33 UTC
Hi,

Where did you find reference to sys-libs/libcap-ng?


Thanks,
Rob
Comment 3 Robert Piasek (RETIRED) gentoo-dev 2010-05-20 13:09:56 UTC
as far as I know it was added with commit:
9ee614b64b7d1b765d8c6d6b0122372427dd73ed

which was AFTER 0.20 release.

So this library will be required for 0.21 once it's released.